# Method: customers.update

- [HTTP request](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers/update#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers/update#body.request_body)
- [Response body](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers/update#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers/update#body.aspect)
- [Try it!](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers/update#try-it)

Updates a customer account's settings.

You cannot update `customerType` via the Reseller API, but a `"team"` customer can verify their domain and become `customerType = "domain"`.

For more information, see [update a customer's settings](https://developers.google.com/workspace/admin/reseller/v1/how-tos/manage_customers#update_customer).

### HTTP request

`PUT https://reseller.googleapis.com/apps/reseller/v1/customers/{customerId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` This can be either the customer's primary domain name or the customer's unique identifier. If the domain name for a customer changes, the old domain name cannot be used to access the customer, but the customer's unique identifier (as returned by the API) can always be used. We recommend storing the unique identifier in your systems where applicable. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers#Customer`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/customers#Customer`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.order`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).